/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.ows.v_1_1_0;

import javax.xml.namespace.QName;

import net.disy.ogc.wps.v_1_0_0.model.DataType;
import net.disy.ogc.wps.v_1_0_0.model.SchemaReference;
import net.opengis.ows.v_1_1_0.BoundingBoxType;
import net.opengis.ows.v_1_1_0.ObjectFactory;

public class OwsConstants {

  public static final String PACKAGE_NAME = ObjectFactory.class.getPackage().getName();

  public static final String CONTEXT_PATH = PACKAGE_NAME;

  public static String LOCATION = "http://schemas.opengis.net/ows/1.1.0/owsAll.xsd"; //$NON-NLS-1$
  public static String NAMESPACE_URI = "http://www.opengis.net/ows/1.1"; //$NON-NLS-1$
  public static String DEFAULT_PREFIX = "ows"; //$NON-NLS-1$

  public static SchemaReference OWS = new SchemaReference(LOCATION, NAMESPACE_URI, "ows"); //$NON-NLS-1$

  public final static String BOUNDING_BOX_TYPE_LOCAL_NAME = "BoundingBoxType"; //$NON-NLS-1$
  public final static String GET_LOCAL_NAME = "Get"; //$NON-NLS-1$
  public final static String POST_LOCAL_NAME = "Post"; //$NON-NLS-1$

  public static String BOUNDING_BOX_TYPE_SCHEMA_DESIGNATOR = OWS
      .typeDesignator(BOUNDING_BOX_TYPE_LOCAL_NAME);

  public static final QName BOUNDING_BOX_TYPE_NAME = OWS.qname(BOUNDING_BOX_TYPE_LOCAL_NAME);
  public static final QName GET_NAME = OWS.qname(GET_LOCAL_NAME);
  public static final QName POST_NAME = OWS.qname(POST_LOCAL_NAME);

  public final static DataType<BoundingBoxType> BOUNDING_BOX_DATA_TYPE = OWS.bboxDataType(
      BOUNDING_BOX_TYPE_LOCAL_NAME,
      BoundingBoxType.class);

}
