/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0;

import java.io.IOException;

import net.disy.ogc.ows.v_1_1_0.OwsException;
import net.disy.ogc.ows.v_1_1_0.Service;
import net.opengis.wps.v_1_0_0.DescribeProcess;
import net.opengis.wps.v_1_0_0.Execute;
import net.opengis.wps.v_1_0_0.ExecuteResponse;
import net.opengis.wps.v_1_0_0.GetCapabilities;
import net.opengis.wps.v_1_0_0.ProcessDescriptions;
import net.opengis.wps.v_1_0_0.WPSCapabilitiesType;

public class DefaultWpsOperations implements WpsOperations {

  private Service<GetCapabilities, WPSCapabilitiesType> getCapabilitiesService;

  private Service<DescribeProcess, ProcessDescriptions> describeProcessService;

  private Service<Execute, ExecuteResponse> executeService;

  public Service<GetCapabilities, WPSCapabilitiesType> getGetCapabilitiesService() {
    return getCapabilitiesService;
  }

  public void setGetCapabilitiesService(
      Service<GetCapabilities, WPSCapabilitiesType> getCapabilitiesService) {
    this.getCapabilitiesService = getCapabilitiesService;
  }

  public Service<DescribeProcess, ProcessDescriptions> getDescribeProcessService() {
    return describeProcessService;
  }

  public void setDescribeProcessService(
      Service<DescribeProcess, ProcessDescriptions> describeProcessService) {
    this.describeProcessService = describeProcessService;
  }

  public Service<Execute, ExecuteResponse> getExecuteService() {
    return executeService;
  }

  public void setExecuteService(Service<Execute, ExecuteResponse> executeService) {
    this.executeService = executeService;
  }

  @Override
  public WPSCapabilitiesType getCapabilities(GetCapabilities request)
      throws IOException,
      OwsException {
    return getGetCapabilitiesService().execute(request);
  }

  @Override
  public ProcessDescriptions describeProcess(DescribeProcess request)
      throws IOException,
      OwsException {
    return getDescribeProcessService().execute(request);
  }

  @Override
  public ExecuteResponse execute(Execute request) throws IOException, OwsException {
    return getExecuteService().execute(request);
  }

}
