/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0;

import net.disy.commons.xml.bind.marshaller.DefaultNamespacePrefixMapper;
import net.disy.ogc.gml.v_3_1_1.GmlConstants;
import net.disy.ogc.ows.v_1_1_0.OwsConstants;
import net.disy.ogc.se.v_1_1_0.SeConstants;
import net.disy.ogc.wpspd.v_1_0_0.WpspdConstants;
import net.opengis.wps.v_1_0_0.ObjectFactory;

public class WpsConstants {

  public static final String PACKAGE_NAME = ObjectFactory.class.getPackage().getName();

  public static final String CONTEXT_PATH = WpsConstants.PACKAGE_NAME + ":" //$NON-NLS-1$
      + WpspdConstants.CONTEXT_PATH;

  public static final String NAMESPACE_URI = "http://www.opengis.net/wps/1.0.0";

  public static final String DEFAULT_PREFIX = "wps";
  public static final String LOCATION = "http://schemas.opengis.net/wps/1.0.0/wpsAll.xsd";

  public static final DefaultNamespacePrefixMapper NAMESPACE_PREFIX_MAPPER = new DefaultNamespacePrefixMapper();
  static {
    NAMESPACE_PREFIX_MAPPER.declare(GmlConstants.NAMESPACE_URI, GmlConstants.DEFAULT_PREFIX);
    NAMESPACE_PREFIX_MAPPER.declare(SeConstants.NAMESPACE_URI, SeConstants.DEFAULT_PREFIX);
    NAMESPACE_PREFIX_MAPPER.declare(OwsConstants.NAMESPACE_URI, OwsConstants.DEFAULT_PREFIX);
    NAMESPACE_PREFIX_MAPPER.declare(WpsConstants.NAMESPACE_URI, WpsConstants.DEFAULT_PREFIX);
    NAMESPACE_PREFIX_MAPPER.declare(WpspdConstants.NAMESPACE_URI, WpspdConstants.DEFAULT_PREFIX);
    NAMESPACE_PREFIX_MAPPER.declare("http://www.w3.org/1999/xlink", "xlink");
    NAMESPACE_PREFIX_MAPPER.declare("http://www.w3.org/2001/SMIL20/", "smil");
    NAMESPACE_PREFIX_MAPPER.declare("http://www.w3.org/2001/SMIL20/Language", "smil-lang");
  }

}
