/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0;

import net.disy.ogc.wps.v_1_0_0.model.DataType;
import net.disy.ogc.wps.v_1_0_0.model.SchemaReference;
import net.opengis.wps.v_1_0_0.ProcessDescriptionType;

public class WpsSchemaConstants {

  private WpsSchemaConstants() {

  }

  public static SchemaReference WPS = new SchemaReference(
      WpsConstants.LOCATION,
      WpsConstants.NAMESPACE_URI,
      "wps"); //$NON-NLS-1$

  //  public final static String PROCESSDESCRIPTIONTYPE_LOCAL_NAME = "ProcessDescriptionType"; //$NON-NLS-1$
  public final static String PROCESSDESCRIPTION_LOCAL_NAME = "ProcessDescription"; //$NON-NLS-1$

  public static String PROCESSDESCRIPTION_SCHEMA_DESIGNATOR = WPS
      .elementDesignator(PROCESSDESCRIPTION_LOCAL_NAME);

  public final static DataType<ProcessDescriptionType> PROCESSDESCRIPTION_DATA_TYPE = WPS
      .complexDataType(PROCESSDESCRIPTION_LOCAL_NAME, ProcessDescriptionType.class);

}
