/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.converter;

public class SuperclassingConverter<P, C extends P> implements TypeConverter<C, P> {

  private final Class<P> parentClass;
  private final Class<C> childClass;

  public SuperclassingConverter(Class<P> parentClass, Class<C> childClass) {
    this.parentClass = parentClass;
    this.childClass = childClass;
  }

  @Override
  public P convertTo(C destination) {
    return destination;
  }

  @Override
  public C convertFrom(P source) {
    return (C) source;
  }

  @Override
  public Class<C> getSourceClass() {
    return childClass;
  }

  @Override
  public Class<P> getDestinationClass() {
    return parentClass;
  }

}
