/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.dwr;

import javax.servlet.http.HttpSession;

import net.disy.ogc.wps.v_1_0_0.WpsInception;
import net.opengis.wps.v_1_0_0.ProcessDescriptionType;

import org.directwebremoting.annotations.RemoteMethod;

public abstract class AbstractWpsInceptionController {

  /**
   * Returns the WPS inception instance for the given session or <code>null</code>.
   * @param session HTTP session, must not be null.
   * @return WPS inception instance or <code>null</code>
   */
  protected abstract WpsInception getWpsInception(HttpSession session);

  @RemoteMethod
  public ProcessDescriptionType getProcessDescription(HttpSession session) {

    final WpsInception wpsInception = getWpsInception(session);
    if (wpsInception == null) {
      return null;
    }
    else {
      final ProcessDescriptionType processDescription = wpsInception.getProcessDescription();

      if (processDescription == null) {
        return null;
      }
      else {
        //        final JAXBElement<ProcessDescriptionType> element = new JAXBElement<ProcessDescriptionType>(
        //
        //        new QName(
        //            WpsConstants.NAMESPACE_URI,
        //            WpsSchemaConstants.PROCESSDESCRIPTION_LOCAL_NAME,
        //            WpsConstants.DEFAULT_PREFIX), ProcessDescriptionType.class, processDescription);
        return processDescription;
      }
    }
  }
}