/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.dwr;

import java.io.IOException;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;

import net.disy.ogc.ows.v_1_1_0.OwsException;
import net.disy.ogc.wps.v_1_0_0.WpsOperations;
import net.opengis.wps.v_1_0_0.DescribeProcess;
import net.opengis.wps.v_1_0_0.Execute;
import net.opengis.wps.v_1_0_0.GetCapabilities;

import org.directwebremoting.annotations.RemoteMethod;

public abstract class AbstractWpsOperationsController {

  @RemoteMethod
  public abstract WpsOperations getWpsOperations(
      ServletContext servletContext,
      HttpServletRequest httpRequest) throws IllegalStateException;

  @RemoteMethod
  public Object getCapabilities(
      ServletContext servletContext,
      HttpServletRequest httpRequest,
      GetCapabilities request) throws IOException {
    try {
      return getWpsOperations(servletContext, httpRequest).getCapabilities(request); //WPSCapabilitiesType
    }
    catch (OwsException e) {
      return e.getExceptionReport();
    }
  }

  @RemoteMethod
  public Object describeProcess(
      ServletContext servletContext,
      HttpServletRequest httpRequest,
      DescribeProcess request) throws IOException {
    try {
      return getWpsOperations(servletContext, httpRequest).describeProcess(request); //ProcessDescriptions
    }
    catch (OwsException e) {
      return e.getExceptionReport();
    }
  }

  @RemoteMethod
  public Object execute(
      ServletContext servletContext,
      HttpServletRequest httpRequest,
      Execute request) throws IOException {
    try {
      return getWpsOperations(servletContext, httpRequest).execute(request); //ExecuteResponse
    }
    catch (OwsException e) {
      return e.getExceptionReport();
    }
  }

}