/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.model;

import java.util.List;

import net.disy.ogc.wps.v_1_0_0.converter.TypeConverter;

public class DefaultFormat<T> implements Format<T> {
  private final DataType<T> dataType;
  private final FormatId formatId;
  private final TypeConverter<List<Object>, T> converter;

  public DefaultFormat(
      DataType<T> dataType,
      FormatId formatId,
      TypeConverter<List<Object>, T> converter) {
    this.dataType = dataType;
    this.formatId = formatId;
    this.converter = converter;
  }

  @Override
  public DataType<T> getDataType() {
    return dataType;
  }

  @Override
  public FormatId getFormatId() {
    return formatId;
  }

  public java.util.List<Object> marshal(T content) {
    return converter.convertFrom(content);
  }

  @Override
  public T unmarshal(List<Object> content) {
    return converter.convertTo(content);
  }
}
