/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.omm;

import net.disy.commons.collections15.util.MultiMapUtils;
import net.disy.commons.omm.Unmapper;
import net.disy.ogc.ows.v_1_1_0.MissingParameterValueException;
import net.disy.ogc.ows.v_1_1_0.OwsException;
import net.opengis.ows.v_1_1_0.CodeType;
import net.opengis.wps.v_1_0_0.DescribeProcess;

import org.apache.commons.collections15.MultiMap;
import org.apache.commons.lang.StringUtils;

public class DescribeProcessUnmapper implements Unmapper {

  public DescribeProcess unmap(MultiMap<String, String> source) throws OwsException {

    final DescribeProcess input = new DescribeProcess();

    //    final String request = MultiMapUtils.get(source, "request");
    //    if (!"DescribeProcess".equals(request)) {
    //      throw new OwsException("InvalidParameterValue", "Invalid parameter 'request' ["
    //          + request
    //          + "].");
    //    }

    final String language = MultiMapUtils.get(source, "language"); //$NON-NLS-1$

    if (language != null) {
      input.setLanguage(language);
    }

    final String identifier = MultiMapUtils.get(source, "identifier"); //$NON-NLS-1$

    if (identifier == null) {
      throw new MissingParameterValueException("identifier"); //$NON-NLS-1$
    }

    if (identifier != null) {
      final String[] identifiers = StringUtils.split(identifier, ',');
      for (String item : identifiers) {
        final CodeType code = new CodeType();
        code.setValue(item);
        input.getIdentifier().add(code);
      }
    }
    return input;
  }

}
