/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.omm;

import net.disy.commons.collections15.util.MultiMapUtils;
import net.disy.commons.omm.Unmapper;
import net.opengis.ows.v_1_1_0.AcceptVersionsType;
import net.opengis.wps.v_1_0_0.GetCapabilities;

import org.apache.commons.collections15.MultiMap;
import org.apache.commons.lang.Validate;

/*
 * Unmapper for {@link GetCapabilities}.
 * @see Unmapper
 */
public class GetCapabilitiesUnmapper implements Unmapper {

  public GetCapabilities unmap(MultiMap<String, String> source) {
    Validate.notNull(source);

    final GetCapabilities getCapabilities = new GetCapabilities();

    //    final String request = MultiMapUtils.get(source, "request");
    //    if (!"GetCapabilities".equals(request)) {
    //      throw new OwsException("InvalidParameterValue", "Invalid request ["
    //          + request
    //          + "], expected [GetCapabilities].");
    //    }

    //    final String service = MultiMapUtils.get(source, "service");
    //    if (!"WPS".equals(service)) {
    //      throw new OwsException("InvalidParameterValue", "Invalid service [" + service + "].");
    //    }

    //		getCapabilities.setService(service);

    final String version = MultiMapUtils.get(source, "acceptversions"); //$NON-NLS-1$

    if (version != null) {
      getCapabilities.setAcceptVersions(new AcceptVersionsType());
      getCapabilities.getAcceptVersions().getVersion().add(version);
    }

    final String language = MultiMapUtils.get(source, "language"); //$NON-NLS-1$

    if (language != null) {
      getCapabilities.setLanguage(language);
    }
    return getCapabilities;
  }
}
