/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.sample;

import net.disy.ogc.wps.v_1_0_0.annotation.InputParameter;
import net.disy.ogc.wps.v_1_0_0.annotation.OutputParameter;
import net.disy.ogc.wps.v_1_0_0.annotation.Process;
import net.disy.ogc.wps.v_1_0_0.annotation.ProcessMethod;

import com.vividsolutions.jts.geom.Polygon;

@Process(
//
id = "calculateArea",
//
title = "Calculate area",
//
description = "Calculates the area of a given polygon")
public class CalculateAreaAnnotatedObject {
  @ProcessMethod
  @OutputParameter(
  //
  id = "area",
  //
  title = "Polygon area",
  //
  description = "Area of the polygon rounded to a long as string")
  public String getArea(
  //
      @InputParameter(
      //
      id = "inputPolygon",
      //
      title = "Input polygon",
      //
      description = "The polygon to calculate the area")//
      Polygon polygon) {
    return String.valueOf(Math.round(polygon.getArea()));
  }
}
