/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.sample;

import java.util.Arrays;

import net.disy.ogc.wps.v_1_0_0.annotation.Metadata;
import net.disy.ogc.wps.v_1_0_0.annotation.OutputParameter;
import net.disy.ogc.wps.v_1_0_0.annotation.Process;
import net.disy.ogc.wps.v_1_0_0.annotation.ProcessMethod;
import net.opengis.ows.v_1_1_0.BoundingBoxType;

@Process(id = "dummyBoundingBox", title = "Dummy Bounding Box", description = "Zooms to a bounding box", metadata = { @Metadata(about = "tag", href = "wps-demo:form") })
public class DummyBoundingBoxAnnotatedObject {

  @ProcessMethod
  public @OutputParameter(id = "boundingBox", title = "Bounding box", description = "Targert bounding box")
  BoundingBoxType createDummyMessage() {

    final BoundingBoxType boundingBox = new net.opengis.ows.v_1_1_0.ObjectFactory()
        .createBoundingBoxType();

    boundingBox.setLowerCorner(Arrays.<Double> asList(49.007021, 8.402815));
    boundingBox.setUpperCorner(Arrays.<Double> asList(49.007023, 8.402813));
    boundingBox.setCrs("urn:ogc:def:crs:EPSG::4326"); //$NON-NLS-1$
    return boundingBox;

  }

}
