/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.sample;

import com.vividsolutions.jts.geom.LineString;
import com.vividsolutions.jts.geom.Point;
import com.vividsolutions.jts.geom.Polygon;

import net.disy.ogc.wps.v_1_0_0.annotation.InputParameter;
import net.disy.ogc.wps.v_1_0_0.annotation.Metadata;
import net.disy.ogc.wps.v_1_0_0.annotation.OutputParameter;
import net.disy.ogc.wps.v_1_0_0.annotation.Process;
import net.disy.ogc.wps.v_1_0_0.annotation.ProcessMethod;

@Process(
//
id = "dummyComplex", title = "Dummy complexprocess", description = "Dummy complex process abstract",
//
metadata = { @Metadata(about = "tag", href = "wps-demo:form") })
public class DummyComplexWpsProcessAnnotatedObject {

  @ProcessMethod
  @OutputParameter(
  //
  id = "dummyInfo",
  //
  title = "Dummy information",
  //
  description = "Just some dummy information about the input parameters")
  public String dummyExecution(
      @InputParameter(id = "echo", title = "Echo input", description = "Please enter something")//
      String echo,
      @InputParameter(id = "echo2", title = "Echo input (2)", description = "Please enter something again")//
      String echo2,
      @InputParameter(id = "point1", title = "First point test input", description = "This is the first test geo input (point)")//
      Point point1,
      @InputParameter(id = "point2", title = "Second point test input", description = "This is the second test geo input (point)")//
      Point point2,
      @InputParameter(id = "line1", title = "First line test input", description = "This is the first test geo input (line)")//
      LineString line1,
      @InputParameter(id = "poly1", title = "First polygon test input", description = "This is the first test geo input (polygon)")//
      Polygon poly1) {

    final StringBuffer sb = new StringBuffer();

    sb.append("Dummy execution result.\n"); //$NON-NLS-1$
    if (echo != null) {
      sb.append("Echo [" + echo + "].\n"); //$NON-NLS-1$ //$NON-NLS-2$
    }
    if (echo2 != null) {
      sb.append("Echo2 [" + echo2 + "].\n"); //$NON-NLS-1$ //$NON-NLS-2$
    }
    if (point1 != null) {
      sb.append("Point1 [" + point1 + "].\n"); //$NON-NLS-1$ //$NON-NLS-2$
    }
    if (point2 != null) {
      sb.append("Point2 [" + point2 + "].\n"); //$NON-NLS-1$ //$NON-NLS-2$
    }
    if (line1 != null) {
      sb.append("Line1 [" + line1 + "].\n"); //$NON-NLS-1$ //$NON-NLS-2$
    }
    if (poly1 != null) {
      sb.append("Poly1 [" + poly1 + "].\n"); //$NON-NLS-1$ //$NON-NLS-2$
    }
    return sb.toString();
  }

}