/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.sample;

import java.io.IOException;

import com.vividsolutions.jts.geom.Polygon;

import net.disy.ogc.ows.v_1_1_0.NoApplicableCodeException;
import net.disy.ogc.wps.v_1_0_0.annotation.InputParameter;
import net.disy.ogc.wps.v_1_0_0.annotation.OutputParameter;
import net.disy.ogc.wps.v_1_0_0.annotation.Process;
import net.disy.ogc.wps.v_1_0_0.annotation.ProcessMethod;

@Process(id = "dummyThrowIoExceptionParameter", title = "Dummy Prozess f\u00FCr IoException mit Parameter", description = "Wirft eine IoException")
public class DummyIoExceptionThrowingProcessWithParameter {
  @ProcessMethod
  @OutputParameter(id = "void", title = "Void", description = "Void")
  public String throwIoException(@InputParameter(
  //
      id = "echo",
      //
      title = "dummy input polygon",
      //
      description = "Description of the input polygon in JS form") Polygon input) throws NoApplicableCodeException, IOException {
    throw new IOException("DummyExceptionThrowingProcessException"); //$NON-NLS-1$
  }
}
