/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.sample;

import net.disy.ogc.wps.v_1_0_0.annotation.OutputParameter;
import net.disy.ogc.wps.v_1_0_0.annotation.Process;
import net.disy.ogc.wps.v_1_0_0.annotation.ProcessMethod;
import net.disy.ogc.wps.v_1_0_0.util.WpsUtils;
import net.disy.ogc.wpspd.v_1_0_0.Link;
import net.disy.ogc.wpspd.v_1_0_0.LinkType;
import net.disy.ogc.wpspd.v_1_0_0.ObjectFactory;
import net.disy.ogc.wpspd.v_1_0_0.WpspdUtils;

@Process(id = "dummyLinkNew", title = "Dummy Link [New]", description = "Opens homepage in a new tab")
public class DummyLinkNewAnnotatedObject {

  private final ObjectFactory objectFactory = WpspdUtils.createObjectFactory();

  @ProcessMethod
  public @OutputParameter(id = "link", title = "Link", description = "Link to the homepage")
  Link createDummyLink() {

    final LinkType link = objectFactory.createLinkType();

    link.setHref("http://www.disy.net");
    link.setShow("new");
    link.setTitle("disy Informationssysteme GmbH");
    link.setPresentationDirectiveTitle(WpsUtils
        .createLanguageStringType("disy Informationssysteme GmbH"));

    return objectFactory.createLink(link);

  }

}
