/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.sample;

import net.disy.ogc.wps.v_1_0_0.annotation.OutputParameter;
import net.disy.ogc.wps.v_1_0_0.annotation.Process;
import net.disy.ogc.wps.v_1_0_0.annotation.ProcessMethod;
import net.disy.ogc.wps.v_1_0_0.util.WpsUtils;
import net.disy.ogc.wpspd.v_1_0_0.Message;
import net.disy.ogc.wpspd.v_1_0_0.MessageType;
import net.disy.ogc.wpspd.v_1_0_0.ObjectFactory;
import net.disy.ogc.wpspd.v_1_0_0.WpspdUtils;

@Process(id = "dummyMessageError", title = "Dummy Message [Error]", description = "Shows an error message")
public class DummyMessageErrorAnnotatedObject {

  private final ObjectFactory objectFactory = WpspdUtils.createObjectFactory();

  @ProcessMethod
  public @OutputParameter(id = "message", title = "Message", description = "Error message")
  Message createDummyMessage() {

    final MessageType message = objectFactory.createMessageType();

    message.setPresentationDirectiveTitle(WpsUtils.createLanguageStringType("You've got no mail"));
    message.setAbstract(WpsUtils.createLanguageStringType("Message description"));
    message.setContent("Something bad happened.");
    message.setType("error");

    return objectFactory.createMessage(message);

  }

}
