/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.sample;

import net.disy.ogc.wps.v_1_0_0.annotation.InputParameter;
import net.disy.ogc.wps.v_1_0_0.annotation.Metadata;
import net.disy.ogc.wps.v_1_0_0.annotation.OutputParameter;
import net.disy.ogc.wps.v_1_0_0.annotation.Process;
import net.disy.ogc.wps.v_1_0_0.annotation.ProcessMethod;

import com.vividsolutions.jts.geom.Geometry;
import com.vividsolutions.jts.geom.LineString;

@Process(
//
id = "bboxLineString",
//
title = "Line string bounding box calculation process",
//
description = "Description of the line string bounding box calculation process",
//
metadata = {
    @Metadata(about = "shortcut icon", href = "http://www.disy.net/fileadmin/template/html/favicon.ico"),
    @Metadata(about = "tag", href = "wps-demo:form"),
    @Metadata(about = "tag", href = "wps-demo:toolbar") })
public class LineStringBoundingBoxAnnotatedObject {
  @ProcessMethod
  @OutputParameter(
  //
  id = "bboxLineString",
  //
  title = "LineString to calculate BBox",
  //
  description = "LineString to calculate BBox")
  public Geometry bboxLineString(@InputParameter(
  //
      id = "echo",
      //
      title = "input line string in JS form",
      //
      description = "Description of the input line string in JS form") LineString input) {
    return input.getEnvelope();
  }

}
