/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.sample;

import net.disy.ogc.wps.v_1_0_0.WpsProcess;
import net.disy.ogc.wps.v_1_0_0.annotation.AnnotationWpsProcedure;
import net.disy.ogc.wps.v_1_0_0.annotation.InputParameter;
import net.disy.ogc.wps.v_1_0_0.annotation.Metadata;
import net.disy.ogc.wps.v_1_0_0.annotation.OutputParameter;
import net.disy.ogc.wps.v_1_0_0.annotation.Process;
import net.disy.ogc.wps.v_1_0_0.annotation.ProcessMethod;
import net.disy.ogc.wps.v_1_0_0.procedure.ProcedureWpsProcess;
import net.disy.ogc.wps.v_1_0_0.procedure.WpsProcessContext;
import net.opengis.wps.v_1_0_0.ProcessDescriptionType;

@Process(
//
id = "WPSProcessDescription",
//
title = "WPSProcessDescription Demo",
//
description = "WPS Process which responds with another WPS Procress Description",
//
metadata = {
    @Metadata(about = "shortcut icon", href = "http://www.disy.net/fileadmin/template/html/favicon.ico"),
    @Metadata(about = "tag", href = "wps-demo:form"),
    @Metadata(about = "tag", href = "wps-demo:toolbar") })
public class LiteralLiteralEchoAnnotatedObject {

  private final WpsProcess process;

  public LiteralLiteralEchoAnnotatedObject(WpsProcessContext context) {
    this.process = new ProcedureWpsProcess(context, new AnnotationWpsProcedure(
        new LiteralEchoAnnotatedObject()));
  }

  @ProcessMethod
  @OutputParameter(
  //
  id = "WPSProcessDescription",
  //
  title = "WPSProcessDescription Demo",
  //
  description = "WPS Procress which allways responds with another WPS Procress Description")
  public ProcessDescriptionType echo(@InputParameter(
  //
  id = "echo",
  //
  title = "Echo input parameter",
  //
  description = "Description of the echo input parameter") String input) {
    final ProcessDescriptionType pd = (ProcessDescriptionType) process
        .getProcessDescription()
        .copyTo(null);

    pd.getDataInputs().getInput().get(0).getLiteralData().setDefaultValue(input);

    return pd;
  }

}
