/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wps.v_1_0_0.servlet;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

import net.disy.ogc.wps.v_1_0_0.SimpleWpsProcessRegistry;
import net.disy.ogc.wps.v_1_0_0.WpsProcessRegistry;
import net.disy.ogc.wps.v_1_0_0.model.WpsProcessConfigurator;
import net.disy.ogc.wps.v_1_0_0.procedure.DefaultWpsProcessContext;
import net.disy.ogc.wps.v_1_0_0.procedure.WpsProcessContext;

public class WpsBaseInitializationServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  public static final String WPS_PROCESS_REGISTRY_BEAN_NAME = WpsProcessRegistry.class.getName();
  public static final String WPS_PROCESS_CONTEXT_BEAN_NAME = WpsProcessContext.class.getName();

  @Override
  public void init(ServletConfig config) throws ServletException {
    super.init(config);

    final SimpleWpsProcessRegistry wpsProcessRegistry = new SimpleWpsProcessRegistry();
    config.getServletContext().setAttribute(WPS_PROCESS_REGISTRY_BEAN_NAME, wpsProcessRegistry);

    final DefaultWpsProcessContext wpsProcessContext = new DefaultWpsProcessContext();
    new WpsProcessConfigurator().configure(wpsProcessContext);
    config.getServletContext().setAttribute(WPS_PROCESS_CONTEXT_BEAN_NAME, wpsProcessContext);
  }
}
