/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.ogc.wpspd.v_1_0_0.sample;

import net.disy.ogc.wps.v_1_0_0.annotation.Metadata;
import net.disy.ogc.wps.v_1_0_0.annotation.OutputParameter;
import net.disy.ogc.wps.v_1_0_0.annotation.Process;
import net.disy.ogc.wps.v_1_0_0.annotation.ProcessMethod;
import net.disy.ogc.wpspd.v_1_0_0.Marker;

@Process(
//
id = "samplePolygonMarker",
//
title = "Sample polygon marker",
//
description = "Returns a sample marker with a symbolized polygon geometry and a hypertext message",
//
metadata = { @Metadata(about = "tag", href = "wps-demo:ObjectVisualizer") })
public class SamplePolygonMarkerAnnotatedObject extends AbstractSampleMarkerAnnotatedObject {

  public SamplePolygonMarkerAnnotatedObject() {
    super(new SampleSymbolizedPolygonAnnotatedObject(), new SampleHTMLMessageAnnotatedObject());
  }

  @Override
  @ProcessMethod
  @OutputParameter(id = "marker", title = "Resulting marker", description = "Resulting marker")
  public Marker execute() {
    return super.execute();
  }

}
